import java.sql.*;

public class Main {
	public static void main(String[] args) throws SQLException {
		ConnectionManager.connect();
		
		Person p = new Person(0, "Mueller", 'M');
		p.insert();
		
		
		for (Person ps : Person.findAll()) {
			System.out.println(ps);
		}
		
		
		Genre g = new Genre(0, "Horror");
		g.insert();
		
		for (Genre gs : Genre.findAll()) {
			System.out.println(gs);
		}
		
		Movie m = new Movie(0, "Löwenzahn", 1981, 'S');
		m.insert();
		
		for (Movie ms : Movie.findAll()) {
			System.out.println(ms);
		}
		
		
		MovieCharacter mc = new MovieCharacter(0, "Peter Lustig", "Peter Unlustig", 1, p.getPersonID(), 2);
		mc.insert();
		
		for (MovieCharacter mcs : MovieCharacter.findAll()) {
			System.out.println(mcs);
		}
		
		
		MovieGenre mg = new MovieGenre(m.getMovieID(), g.getGenreID());
		mg.insert();
		
		for (MovieGenre mgs : MovieGenre.findAll()) {
			System.out.println(mgs);
		}
		
		ConnectionManager.disconnect();
	}
}
